Page MenuHomePhabricator

Deploy Recommendation API as a service
Closed, ResolvedPublic

Description

Now that the Recommendation API has been ported using service-template-node (T164282), we would like to move forward with deploying it. We will follow the steps here: https://wikitech.wikimedia.org/wiki/Services/FirstDeployment

Deploy repo:
https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/recommendation-api/deploy

Details

Related Gerrit Patches:
operations/dns : masterAdd discovery DNS entry for service recommendation-api
operations/puppet : productionrecommendation-api: check robots.txt
mediawiki/services/recommendation-api : masterTemporary work-around: Do not test for bad source
mediawiki/services/recommendation-api/deploy : masterConfig: No proxy and fix WDQS' URI
mediawiki/services/recommendation-api/deploy : masterBug fix: Fix typos in check names
operations/puppet : productionrole::scb: add recommendation-api service
operations/dns : masterAdd entries for service recommendation-api
operations/puppet : productionRecommendation API: Add the beta scap source
mediawiki/services/recommendation-api/deploy : masterBeta: Add deployment-sca0[34] to the mix
mediawiki/services/recommendation-api/deploy : masterBeta: Separate the files into environments/beta and do no checks there

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2017, 1:50 PM
Joe added a subscriber: Joe.May 31 2017, 2:59 PM

So I have quite a few questions regarding this:

  • Is it still true that this needs some form of storage of data? I remember you talking about needing to update a several gb file regularly
  • Which services does this call?
  • Which services will call this service?

To be clear, if it is only to be called from MediaWiki, there is no point in putting this behind restbase. If we want to provide a REST API for it to the public, then it makes sense.

@Joe

  • Right now there is no storage of data since we've decided not to productionize that service (T158973#3122176).
  • This calls WDQS and the mw api
  • This will be called by CX and should also be available as a public API
schana renamed this task from Deploy Recommendation API to beta cluster to Deploy Recommendation API as a service.Jun 6 2017, 11:12 AM
schana updated the task description. (Show Details)

Change 360686 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Recommendation API: Add the beta scap source

https://gerrit.wikimedia.org/r/360686

Joe moved this task from Backlog to Blocking others on the User-Joe board.Jul 3 2017, 7:55 AM

Change 363053 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api/deploy@master] Beta: Separate the files into environments/beta and do no checks there

https://gerrit.wikimedia.org/r/363053

Change 363053 merged by Mobrovac:
[mediawiki/services/recommendation-api/deploy@master] Beta: Separate the files into environments/beta and do no checks there

https://gerrit.wikimedia.org/r/363053

Change 363062 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api/deploy@master] Beta: Add deployment-sca0[34] to the mix

https://gerrit.wikimedia.org/r/363062

Change 363062 merged by Mobrovac:
[mediawiki/services/recommendation-api/deploy@master] Beta: Add deployment-sca0[34] to the mix

https://gerrit.wikimedia.org/r/363062

Change 360686 merged by Filippo Giunchedi:
[operations/puppet@production] Recommendation API: Add the beta scap source

https://gerrit.wikimedia.org/r/360686

Joe moved this task from Blocking others to Doing on the User-Joe board.Jul 11 2017, 2:34 PM

Change 364451 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] role::scb: add recommendation-api service

https://gerrit.wikimedia.org/r/364451

Change 364457 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/dns@master] Add entries for service recommendation-api

https://gerrit.wikimedia.org/r/364457

Change 364458 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/dns@master] Add discovery DNS entry for service recommendation-api

https://gerrit.wikimedia.org/r/364458

Change 364457 merged by Giuseppe Lavagetto:
[operations/dns@master] Add entries for service recommendation-api

https://gerrit.wikimedia.org/r/364457

Change 364451 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::scb: add recommendation-api service

https://gerrit.wikimedia.org/r/364451

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:51:12Z] <mobrovac@tin> Started deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001 - T165760

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:51:28Z] <mobrovac@tin> Finished deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001 - T165760 (duration: 00m 15s)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:52:17Z] <mobrovac@tin> Started deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001, take #2 - T165760

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:52:27Z] <mobrovac@tin> Finished deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001, take #2 - T165760 (duration: 00m 06s)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:56:38Z] <mobrovac@tin> Started deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001, take #3 - T165760

Mentioned in SAL (#wikimedia-operations) [2017-07-12T15:57:24Z] <mobrovac@tin> Finished deploy [recommendation-api/deploy@ed41fc4]: Initial deploy on canary scb2001, take #3 - T165760 (duration: 00m 46s)

Change 364769 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api/deploy@master] Bug fix: Fix typos in check names

https://gerrit.wikimedia.org/r/364769

Change 364769 merged by Mobrovac:
[mediawiki/services/recommendation-api/deploy@master] Bug fix: Fix typos in check names

https://gerrit.wikimedia.org/r/364769

Change 364902 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api/deploy@master] Config: No proxy and fix WDQS' URI

https://gerrit.wikimedia.org/r/364902

Change 364902 merged by Mobrovac:
[mediawiki/services/recommendation-api/deploy@master] Config: No proxy and fix WDQS' URI

https://gerrit.wikimedia.org/r/364902

mobrovac triaged this task as High priority.Jul 12 2017, 9:51 PM

Change 364907 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/recommendation-api@master] Temporary work-around: Do not test for bad source

https://gerrit.wikimedia.org/r/364907

Change 364907 merged by Mobrovac:
[mediawiki/services/recommendation-api@master] Temporary work-around: Do not test for bad source

https://gerrit.wikimedia.org/r/364907

Change 364944 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] recommendation-api: check robots.txt

https://gerrit.wikimedia.org/r/364944

Change 364944 merged by Giuseppe Lavagetto:
[operations/puppet@production] recommendation-api: check robots.txt

https://gerrit.wikimedia.org/r/364944

Joe closed this task as Resolved.Jul 13 2017, 7:03 AM
Joe claimed this task.

I finished deploying the service, but I strongly urge you to have it respond to its root url with something different than 404.

Change 364458 merged by Giuseppe Lavagetto:
[operations/dns@master] Add discovery DNS entry for service recommendation-api

https://gerrit.wikimedia.org/r/364458